<?php

class Pisol_dprm_admin_email_setting{
    
    public $plugin_name;

    private $settings = array();

    private $active_tab;

    private $this_tab = 'admin-email-setting';

    private $tab_name = 'Admin Reminder Email';

    private $setting_key = 'pi_admin_email_alert_setting';
    

    function __construct($plugin_name){
        $this->plugin_name = $plugin_name;

        $this->settings = array(

            array('field'=>'pi_enable_reminder_email_admin', 'label'=>__('Enable reminder email to admin','pisol-delivery-pickup-reminder-email'),'type'=>'switch', 'default'=> 1,'desc'=>__('Free version will send the email to the website admin email id, where as in the pro version you can set your custom email id and add staff email id','pisol-delivery-pickup-reminder-email')),

            array('field'=>'pi_admin_reminder_email_id', 'label'=>__('Admin email id','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> '', 'desc'=>__('Add admin email id that will receive the order reminder email, you can add multiple email id separated by coma e.g: abc@gmail.com, xyz@gmail.com, asd@xy.com','pisol-delivery-pickup-reminder-email'), 'pro'=>true),
            
            array('field'=>'total_product_admin', 'class'=> 'bg-primary text-light', 'class_title'=>'text-light font-weight-light h4', 'label'=>__('When to send reminder email to admin','pisol-delivery-pickup-reminder-email'), 'type'=>'setting_category'),

            array('field'=>'pi_email_reminder_trigger_admin', 'label'=>__('Reminder email will be send x minutes before the delivery/pickup time selected by the customer','pisol-delivery-pickup-reminder-email'),'type'=>'number', 'default'=> 30, 'desc'=>__('30 min mean a reminder email will be send 30 min before the customer selected delivery or pickup time slot','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'pi_email_reminder_for_order_type_admin2', 'label'=>__('Send Reminder email','pisol-delivery-pickup-reminder-email'), 'type'=>'select', 'value'=>array('both'=> __('For pickup and delivery order','pisol-delivery-pickup-reminder-email'), 'pickup'=> __('For pickup order only','pisol-delivery-pickup-reminder-email'), 'delivery'=> __('For delivery order only','pisol-delivery-pickup-reminder-email')), 'default'=>'both', 'desc'=>__('Restrict reminder email based on the order type','pisol-delivery-pickup-reminder-email'), 'pro'=>true),
            
            array('field'=>'total_product_admin', 'class'=> 'bg-primary text-light', 'class_title'=>'text-light font-weight-light h4', 'label'=>__('Reminder email message','pisol-delivery-pickup-reminder-email'), 'type'=>'setting_category', 'pro'=>true),

            array('field'=>'pi_email_subject_pickup_admin', 'label'=>__('Email subject for pickup order','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> 'Order #{order} {delivery_type} is on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the subject line {order} => order no, {delivery_type}=> Pickup or Delivery, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'pi_email_subject_delivery_admin', 'label'=>__('Email subject for delivery order','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> 'Order #{order} {delivery_type} is on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the subject line {order} => order no, {delivery_type}=> Pickup or Delivery, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'pi_email_heading_pickup_admin', 'label'=>__('Email heading for pickup order','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> 'Order #{order} {delivery_type} is on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the heading line {order} => order no, {delivery_type}=> Pickup or Delivery, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'pi_email_heading_delivery_admin', 'label'=>__('Email heading for delivery order','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> 'Order #{order} {delivery_type} is on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the heading line {order} => order no, {delivery_type}=> Pickup or Delivery, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'pi_email_message_pickup_admin', 'label'=>__('Email message for pickup order','pisol-delivery-pickup-reminder-email'),'type'=>'textarea', 'default'=> 'your Order #{order} is to be {delivery_type} ', 'desc'=>__('You can use following short code in the heading line {order} => order no, {delivery_type}=> Pickup or Delivery, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'pi_email_message_delivery_admin', 'label'=>__('Email message for delivery order','pisol-delivery-pickup-reminder-email'),'type'=>'textarea', 'default'=> 'your Order #{order} is to be {delivery_type} ', 'desc'=>__('You can use following short code in the heading line {order} => order no, {delivery_type}=> Pickup or Delivery, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

            array('field'=>'total_product_admin', 'class'=> 'bg-primary text-light', 'class_title'=>'text-light font-weight-light h4', 'label'=>__('Order details','pisol-delivery-pickup-reminder-email'), 'type'=>'setting_category'),

            array('field'=>'pi_reminder_email_show_order_detail_admin', 'label'=>__('Show order detail in reminder email','pisol-delivery-pickup-reminder-email'),'type'=>'switch', 'default'=> 1, 'pro'=>true),

            array('field'=>'pi_reminder_email_show_order_address_admin', 'label'=>__('Show address in reminder email','pisol-delivery-pickup-reminder-email'),'type'=>'switch', 'default'=> 1, 'pro'=>true),

            array('field'=>'total_product', 'class'=> 'bg-primary text-light', 'class_title'=>'text-light font-weight-light h4', 'label'=>__('When not to send alert','pisol-delivery-pickup-reminder-email'), 'type'=>'setting_category'),

            array('field'=>'pi_dont_send_reminder_if_order_status_is_admin', 'label'=>__('Don\'t send reminder if order status is','pisol-delivery-pickup-reminder-email'),'type'=>'multiselect', 'default'=>array('wc-cancelled', 'wc-refunded', 'wc-failed'), 'value'=>wc_get_order_statuses(),  'desc'=>__('Will not send a reminder if order status is any of this','pisol-delivery-pickup-reminder-email'), 'pro'=>true),

        );
        
        $this->active_tab = (isset($_GET['tab'])) ? sanitize_text_field($_GET['tab']) : 'default';

        if($this->this_tab == $this->active_tab){
            add_action($this->plugin_name.'_tab_content', array($this,'tab_content'));
        }


        add_action($this->plugin_name.'_tab', array($this,'tab'),1);

       
        $this->register_settings();

        
    }

    function groups(){
        $wp_roles = new WP_Roles();
        $all_roles = $wp_roles->roles;
        $roles = array();
        foreach($all_roles as $role_key => $role){
            $roles[$role_key] = $role['name'];
        }
        $roles["pi_guest"] = __('Guest','pisol-delivery-pickup-reminder-email');
        return $roles;
    }
    
    function delete_settings(){
        foreach($this->settings as $setting){
            delete_option( $setting['field'] );
        }
    }

    function register_settings(){   

        foreach($this->settings as $setting){
            register_setting( $this->setting_key, $setting['field']);
        }
    
    }

    function tab(){
        ?>
        <a class=" px-3 text-light d-flex align-items-center  border-left border-right  <?php echo ($this->active_tab == $this->this_tab ? 'bg-primary' : 'bg-secondary'); ?>" href="<?php echo admin_url( 'admin.php?page='.sanitize_text_field($_GET['page']).'&tab='.$this->this_tab ); ?>">
            <?php _e( $this->tab_name); ?> 
        </a>
        <?php
    }

    function tab_content(){
       ?>
       
        <form method="post" action="options.php"  class="pisol-setting-form">
        <?php settings_fields( $this->setting_key ); ?>
        <?php
            foreach($this->settings as $setting){
                new pisol_class_form_dpre($setting, $this->setting_key);
            }
        ?>
        <input type="submit" class="mt-3 mb-3 btn btn-primary btn-sm" value="Save Option" />
        </form>
       <?php
    }

    
}
add_action('wp_loaded',function(){
new Pisol_dprm_admin_email_setting($this->plugin_name);
});
