<?php

class Pisol_dprm_email_setting{
    
    public $plugin_name;

    private $settings = array();

    private $active_tab;

    private $this_tab = 'default';

    private $tab_name = 'Customer Reminder Email';

    private $setting_key = 'pi_email_alert_setting';
    

    function __construct($plugin_name){
        $this->plugin_name = $plugin_name;

        $this->settings = array(
            
            array('field'=>'total_product', 'class'=> 'bg-primary text-light', 'class_title'=>'text-light font-weight-light h4', 'label'=>__('When to send reminder email','pisol-delivery-pickup-reminder-email'), 'type'=>'setting_category'),

            array('field'=>'pi_email_reminder_trigger', 'label'=>__('Reminder email will be send x minutes before the delivery/pickup time selected by the customer','pisol-delivery-pickup-reminder-email'),'type'=>'number', 'default'=> 30, 'desc'=>__('30 min mean a reminder email will be send 30 min before the customer selected delivery or pickup time slot','pisol-delivery-pickup-reminder-email')),

            array('field'=>'pi_email_reminder_for_order_type2', 'label'=>__('Send Reminder email','pisol-delivery-pickup-reminder-email'), 'type'=>'select', 'value'=>array('both'=>'For Pickup and Delivery Order', 'pickup'=> 'For Pickup order only', 'delivery'=>'For Delivery order only'), 'default'=>'both', 'desc'=>__('Restrict reminder email based on the order type', 'pisol-delivery-pickup-reminder-email'), 'pro'=>true),
            
            array('field'=>'total_product', 'class'=> 'bg-primary text-light', 'class_title'=>'text-light font-weight-light h4', 'label'=>__('Reminder email message','pisol-delivery-pickup-reminder-email'), 'type'=>'setting_category'),

            array('field'=>'pi_email_subject', 'label'=>__('Email subject','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> 'Order #{order} on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the subject line {order} => order no, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email')),

            array('field'=>'pi_email_heading', 'label'=>__('Email heading','pisol-delivery-pickup-reminder-email'),'type'=>'text', 'default'=> 'Order #{order} on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the heading line {order} => order no, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email')),

            array('field'=>'pi_email_message', 'label'=>__('Email message','pisol-delivery-pickup-reminder-email'),'type'=>'textarea', 'default'=> 'Order #{order} on {delivery_date} at {delivery_time}', 'desc'=>__('You can use following short code in the heading line {order} => order no, {delivery_date}, {delivery_time}','pisol-delivery-pickup-reminder-email')),

        );
        
        $this->active_tab = (isset($_GET['tab'])) ? sanitize_text_field($_GET['tab']) : 'default';

        if($this->this_tab == $this->active_tab){
            add_action($this->plugin_name.'_tab_content', array($this,'tab_content'));
        }


        add_action($this->plugin_name.'_tab', array($this,'tab'),1);

       
        $this->register_settings();

        
    }

    function groups(){
        $wp_roles = new WP_Roles();
        $all_roles = $wp_roles->roles;
        $roles = array();
        foreach($all_roles as $role_key => $role){
            $roles[$role_key] = $role['name'];
        }
        $roles["pi_guest"] = __('Guest', 'pisol-delivery-pickup-reminder-email');
        return $roles;
    }
    
    function delete_settings(){
        foreach($this->settings as $setting){
            delete_option( $setting['field'] );
        }
    }

    function register_settings(){   

        foreach($this->settings as $setting){
            register_setting( $this->setting_key, $setting['field']);
        }
    
    }

    function tab(){
        ?>
        <a class=" px-3 text-light d-flex align-items-center  border-left border-right  <?php echo ($this->active_tab == $this->this_tab ? 'bg-primary' : 'bg-secondary'); ?>" href="<?php echo admin_url( 'admin.php?page='.sanitize_text_field($_GET['page']).'&tab='.$this->this_tab ); ?>">
            <?php _e( $this->tab_name); ?> 
        </a>
        <?php
    }

    function tab_content(){
       ?>
       
        <form method="post" action="options.php"  class="pisol-setting-form">
        <?php settings_fields( $this->setting_key ); ?>
        <?php
            foreach($this->settings as $setting){
                new pisol_class_form_dpre($setting, $this->setting_key);
            }
        ?>
        <input type="submit" class="mt-3 mb-3 btn btn-primary btn-sm" value="Save Option" />
        </form>
       <?php
    }

    
}
add_action('wp_loaded',function(){
new Pisol_dprm_email_setting($this->plugin_name);
});
