<?php
if ( ! defined( 'WPINC' ) ) {
	die;
}
class pisol_dpre_menu{

    public $plugin_name;
    public $menu;

   
    
    function __construct($plugin_name , $version){
        $this->plugin_name = $plugin_name;
        $this->version = $version;
        add_action( 'admin_menu', array($this,'plugin_menu') );
        add_action( $this->plugin_name.'_promotion', array($this,'promotion') );
    }

    function plugin_menu(){
        
        $menu = add_menu_page( __('Order Reminder'),  __('Order Reminder'),'manage_options', 'pisol-dprm-order-reminder',  array($this, 'menu_option_page'),PISOL_DPRE_REMINDER_URL.'admin/img/icon.svg',7 );

        add_action("load-".$menu, array($this,'menu_page_style'));
 
    }

    function menu_option_page(){
        if(function_exists('settings_errors')){
            settings_errors();
        }
        ?>
        <div class="bootstrap-wrapper">
        <div class="container-fluid mt-2">
            <div class="row">
                    <div class="col-12">
                        <div class='bg-dark'>
                        <div class="row">
                            <div class="col-12 col-sm-2 py-2">
                            <a href="https://www.piwebsolution.com/" target="_blank"><img class="img-fluid ml-2" src="<?php echo PISOL_DPRE_REMINDER_URL; ?>admin/img/pi-web-solution.svg"></a>
                            </div>
                            <div class="col-12 col-sm-10 d-flex text-center small">
                                <?php do_action($this->plugin_name.'_tab'); ?>
                            </div>
                        </div>
                        </div>
                    </div>
            </div>
            <div class="row">
                <div class="col-12">
                <div class="bg-light border px-3">
                    <div class="row">
                        <div class="col">
                        <?php do_action($this->plugin_name.'_tab_content'); ?>
                        </div>
                        <?php do_action($this->plugin_name.'_promotion'); ?>
                    </div>
                </div>
                </div>
            </div>
        </div>
        </div>
        <?php
    }

    function menu_page_style(){
      
        wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/pisol-delivery-pickup-reminder-email-admin.js', array( 'jquery','selectWoo' ), $this->version, false );

        wp_enqueue_style($this->plugin_name.'style_bootstrap', plugins_url('css/bootstrap.css', __FILE__));
        
        wp_register_script( 'selectWoo', WC()->plugin_url() . '/assets/js/selectWoo/selectWoo.full.min.js', array( 'jquery' ) );
        wp_enqueue_script( 'selectWoo' );
        wp_enqueue_style( 'select2', WC()->plugin_url() . '/assets/css/select2.css');

        wp_enqueue_script( $this->plugin_name."_quick_save", plugin_dir_url( __FILE__ ) . 'js/pisol-quick-save.js', array('jquery'), $this->version, 'all' );
    
    }

    function promotion(){
        ?>
        <div class="col-12 col-sm-4 mt-3">
            <div class="bg-primary p-3 text-light text-center mb-3 promotion-bg">
                <h2 class="text-light font-weight-light "><span>Get Pro for <h2 class="h2 font-weight-bold my-2 text-light"><?php echo PISOL_DPRE_REMINDER_PRICE; ?></h2></span></h2>

                <a class="btn btn-danger btn-sm text-uppercase" href="<?php echo  PISOL_DPRE_REMINDER_BUY_URL; ?>" target="_blank">Click to Buy Now</a>
                <div class="inside mt-2">
                    PRO version offer more advanced features like:<br><br>
                    <ul class="text-left  h6 font-weight-light">
                    <li class="border-top py-2 h6 font-weight-light">Send reminder email to <span class="font-weight-bold">admin and staff</span> </li>
                    <li class="border-top py-2 h6 font-weight-light">Set <span class="font-weight-bold">admin and staff email id</span> </li>
                    <li class="border-top py-2 h6 font-weight-light">Set <span class="font-weight-bold">different email subject</span> based on the Delivery or pickup order </li>
                    <li class="border-top py-2 h6 font-weight-light">Set <span class="font-weight-bold">different email heading</span> based on the Delivery or pickup order </li>
                    <li class="border-top py-2 h6 font-weight-light">Set <span class="font-weight-bold">different email message</span> based on the Delivery or pickup order </li>
                    <li class="border-top py-2 h6 font-weight-light">Include <span class="font-weight-bold">ordered product</span> detail in the email</li>
                    <li class="border-top py-2 h6 font-weight-light">Include <span class="font-weight-bold">customer address</span> detail in the email</li>
                    <li class="border-top py-2 h6 font-weight-light">Set different <span class="font-weight-bold">subject / heading / message</span> for the admin email</li>
                    <li class="border-top py-2 h6 font-weight-light">Set different trigger time for admin email</li>
                    <li class="border-top py-2 h6 font-weight-light">You can restrict the reminder <span class="font-weight-bold">email based on the delivery type (Pickup/Delivery)</span></li>
                    </ul>
                    <a class="btn btn-light" href="<?php echo  PISOL_DPRE_REMINDER_BUY_URL; ?>" target="_blank">Click to Buy Now</a>
                </div>
            </div>
        </div>
        
        <?php
    }



}